package com.backendsys.service.B2c;

import com.backendsys.entity.B2c.B2cShoppingCartDTO;

import java.util.Map;

public interface B2cShoppingCartService {
    // Integer pageNum, Integer pageSize, B2cShoppingCartDTO b2cShoppingCartDTO
    Map<String, Object> queryShoppingCartList();
    Map<String, Object> queryShoppingCartDetail(B2cShoppingCartDTO b2cShoppingCartDTO);
    Map<String, Object> insertShoppingCart(B2cShoppingCartDTO b2cShoppingCartDTO);
    Map<String, Object> updateShoppingCart(B2cShoppingCartDTO b2cShoppingCartDTO);
    Map<String, Object> cleanShoppingCart(B2cShoppingCartDTO b2cShoppingCartDTO);
}
